Open CASCADE Technology: StepRepr_HSequenceOfMaterialPropertyRepresentation Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
StepRepr_HSequenceOfMaterialPropertyRepresentation Class Reference

`#include <StepRepr_HSequenceOfMaterialPropertyRepresentation.hxx>`

Inheritance diagram for StepRepr_HSequenceOfMaterialPropertyRepresentation:
[legend]

## Public Member Functions
| StepRepr_HSequenceOfMaterialPropertyRepresentation ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
void | Clear ()
void | Append (const Handle< StepRepr_MaterialPropertyRepresentation > &anItem)
void | Append (const Handle< StepRepr_HSequenceOfMaterialPropertyRepresentation > &aSequence)
void | Prepend (const Handle< StepRepr_MaterialPropertyRepresentation > &anItem)
void | Prepend (const Handle< StepRepr_HSequenceOfMaterialPropertyRepresentation > &aSequence)
void | Reverse ()
void | InsertBefore (const Standard_Integer anIndex, const Handle< StepRepr_MaterialPropertyRepresentation > &anItem)
void | InsertBefore (const Standard_Integer anIndex, const Handle< StepRepr_HSequenceOfMaterialPropertyRepresentation > &aSequence)
void | InsertAfter (const Standard_Integer anIndex, const Handle< StepRepr_MaterialPropertyRepresentation > &anItem)
void | InsertAfter (const Standard_Integer anIndex, const Handle< StepRepr_HSequenceOfMaterialPropertyRepresentation > &aSequence)
void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Handle< StepRepr_HSequenceOfMaterialPropertyRepresentation > | Split (const Standard_Integer anIndex)
void | SetValue (const Standard_Integer anIndex, const Handle< StepRepr_MaterialPropertyRepresentation > &anItem)
const Handle< StepRepr_MaterialPropertyRepresentation > & | Value (const Standard_Integer anIndex) const
Handle< StepRepr_MaterialPropertyRepresentation > & | ChangeValue (const Standard_Integer anIndex)
void | Remove (const Standard_Integer anIndex)
void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const StepRepr_SequenceOfMaterialPropertyRepresentation & | Sequence () const
StepRepr_SequenceOfMaterialPropertyRepresentation & | ChangeSequence ()
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Constructor & Destructor Documentation

StepRepr_HSequenceOfMaterialPropertyRepresentation::StepRepr_HSequenceOfMaterialPropertyRepresentation | ( |  | ) |

## Member Function Documentation

void StepRepr_HSequenceOfMaterialPropertyRepresentation::Append | ( | const Handle< StepRepr_MaterialPropertyRepresentation > & | anItem | ) |

void StepRepr_HSequenceOfMaterialPropertyRepresentation::Append | ( | const Handle< StepRepr_HSequenceOfMaterialPropertyRepresentation > & | aSequence | ) |

StepRepr_SequenceOfMaterialPropertyRepresentation& StepRepr_HSequenceOfMaterialPropertyRepresentation::ChangeSequence | ( |  | ) |

Handle< StepRepr_MaterialPropertyRepresentation >& StepRepr_HSequenceOfMaterialPropertyRepresentation::ChangeValue | ( | const Standard_Integer | anIndex | ) |

void StepRepr_HSequenceOfMaterialPropertyRepresentation::Clear | ( |  | ) |

void StepRepr_HSequenceOfMaterialPropertyRepresentation::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |  |

void StepRepr_HSequenceOfMaterialPropertyRepresentation::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle< StepRepr_MaterialPropertyRepresentation > & | anItem
| ) |  |

void StepRepr_HSequenceOfMaterialPropertyRepresentation::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle< StepRepr_HSequenceOfMaterialPropertyRepresentation > & | aSequence
| ) |  |

void StepRepr_HSequenceOfMaterialPropertyRepresentation::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle< StepRepr_MaterialPropertyRepresentation > & | anItem
| ) |  |

void StepRepr_HSequenceOfMaterialPropertyRepresentation::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle< StepRepr_HSequenceOfMaterialPropertyRepresentation > & | aSequence
| ) |  |

Standard_Boolean StepRepr_HSequenceOfMaterialPropertyRepresentation::IsEmpty | ( |  | ) | const

Standard_Integer StepRepr_HSequenceOfMaterialPropertyRepresentation::Length | ( |  | ) | const

void StepRepr_HSequenceOfMaterialPropertyRepresentation::Prepend | ( | const Handle< StepRepr_MaterialPropertyRepresentation > & | anItem | ) |

void StepRepr_HSequenceOfMaterialPropertyRepresentation::Prepend | ( | const Handle< StepRepr_HSequenceOfMaterialPropertyRepresentation > & | aSequence | ) |

void StepRepr_HSequenceOfMaterialPropertyRepresentation::Remove | ( | const Standard_Integer | anIndex | ) |

void StepRepr_HSequenceOfMaterialPropertyRepresentation::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |  |

void StepRepr_HSequenceOfMaterialPropertyRepresentation::Reverse | ( |  | ) |

const StepRepr_SequenceOfMaterialPropertyRepresentation& StepRepr_HSequenceOfMaterialPropertyRepresentation::Sequence | ( |  | ) | const

void StepRepr_HSequenceOfMaterialPropertyRepresentation::SetValue | ( | const Standard_Integer | anIndex,
|  | const Handle< StepRepr_MaterialPropertyRepresentation > & | anItem
| ) |  |

Handle< StepRepr_HSequenceOfMaterialPropertyRepresentation > StepRepr_HSequenceOfMaterialPropertyRepresentation::Split | ( | const Standard_Integer | anIndex | ) |

const Handle< StepRepr_MaterialPropertyRepresentation >& StepRepr_HSequenceOfMaterialPropertyRepresentation::Value | ( | const Standard_Integer | anIndex | ) | const

The documentation for this class was generated from the following file:

- StepRepr_HSequenceOfMaterialPropertyRepresentation.hxx